<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AITargetCallbacksPlayer Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/dae/class_a_i_target_callbacks_player.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">AITargetCallbacksPlayer Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for AITargetCallbacksPlayer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d7/dae/class_a_i_target_callbacks_player.png" usemap="#AITargetCallbacksPlayer_map" alt=""/>
  <map id="AITargetCallbacksPlayer_map" name="AITargetCallbacksPlayer_map">
<area href="../../dd/dd6/class_a_i_target_callbacks.html" alt="AITargetCallbacks" shape="rect" coords="0,0,152,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afe609fc70ab9e579a9234e11cbf0eea4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#afe609fc70ab9e579a9234e11cbf0eea4">AITargetCallbacksPlayer</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> pPlayer)</td></tr>
<tr class="separator:afe609fc70ab9e579a9234e11cbf0eea4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe237c140fe6e015cef8a9368da56330"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#afe237c140fe6e015cef8a9368da56330">GetHeadPositionWS</a> ()</td></tr>
<tr class="separator:afe237c140fe6e015cef8a9368da56330"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89c4fde68b51a4bc8530bc768310fe36"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#a89c4fde68b51a4bc8530bc768310fe36">GetVisionPointPositionWS</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> pApplicant)</td></tr>
<tr class="separator:a89c4fde68b51a4bc8530bc768310fe36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a364bb903bffac7cade2901811286e917"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#a364bb903bffac7cade2901811286e917">GetMaxVisionRangeModifier</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> pApplicant)</td></tr>
<tr class="separator:a364bb903bffac7cade2901811286e917"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a6cb142c30c929917633a47bfd5883fe4"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#a6cb142c30c929917633a47bfd5883fe4">StanceToMovementIdxTranslation</a> (<a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> pState)</td></tr>
<tr class="separator:a6cb142c30c929917633a47bfd5883fe4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:add8173c8a8231803bd4ed2380d44c3b0"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#add8173c8a8231803bd4ed2380d44c3b0">m_Player</a></td></tr>
<tr class="separator:add8173c8a8231803bd4ed2380d44c3b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1bb9799a663c93fd96cc73e9041dbe5"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#ad1bb9799a663c93fd96cc73e9041dbe5">m_iHeadBoneIndex</a></td></tr>
<tr class="separator:ad1bb9799a663c93fd96cc73e9041dbe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ee14478bdcae773b20c58f2ba504ff2"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html#a2ee14478bdcae773b20c58f2ba504ff2">m_iChestBoneIndex</a></td></tr>
<tr class="separator:a2ee14478bdcae773b20c58f2ba504ff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00001">1</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afe609fc70ab9e579a9234e11cbf0eea4" name="afe609fc70ab9e579a9234e11cbf0eea4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe609fc70ab9e579a9234e11cbf0eea4">&#9670;&#160;</a></span>AITargetCallbacksPlayer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AITargetCallbacksPlayer::AITargetCallbacksPlayer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>pPlayer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00003">3</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afe237c140fe6e015cef8a9368da56330" name="afe237c140fe6e015cef8a9368da56330"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe237c140fe6e015cef8a9368da56330">&#9670;&#160;</a></span>GetHeadPositionWS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> AITargetCallbacksPlayer::GetHeadPositionWS </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00011">11</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<a id="a364bb903bffac7cade2901811286e917" name="a364bb903bffac7cade2901811286e917"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a364bb903bffac7cade2901811286e917">&#9670;&#160;</a></span>GetMaxVisionRangeModifier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> AITargetCallbacksPlayer::GetMaxVisionRangeModifier </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>pApplicant</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >player speed mofifications</p>
<p >stance modification</p>
<p >player visibility modification (from cloths)</p>
<p >mean value of the coefs</p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00043">43</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<a id="a89c4fde68b51a4bc8530bc768310fe36" name="a89c4fde68b51a4bc8530bc768310fe36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89c4fde68b51a4bc8530bc768310fe36">&#9670;&#160;</a></span>GetVisionPointPositionWS()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d7/dfc/classvector.html">vector</a> AITargetCallbacksPlayer::GetVisionPointPositionWS </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>pApplicant</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00019">19</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<a id="a6cb142c30c929917633a47bfd5883fe4" name="a6cb142c30c929917633a47bfd5883fe4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cb142c30c929917633a47bfd5883fe4">&#9670;&#160;</a></span>StanceToMovementIdxTranslation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AITargetCallbacksPlayer::StanceToMovementIdxTranslation </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td>
          <td class="paramname"><em>pState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Translates players speed (idx) and corrects it by current stance used mainly for visibility/audibility of player to AI </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00090">90</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a2ee14478bdcae773b20c58f2ba504ff2" name="a2ee14478bdcae773b20c58f2ba504ff2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ee14478bdcae773b20c58f2ba504ff2">&#9670;&#160;</a></span>m_iChestBoneIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AITargetCallbacksPlayer::m_iChestBoneIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00133">133</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<a id="ad1bb9799a663c93fd96cc73e9041dbe5" name="ad1bb9799a663c93fd96cc73e9041dbe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1bb9799a663c93fd96cc73e9041dbe5">&#9670;&#160;</a></span>m_iHeadBoneIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> AITargetCallbacksPlayer::m_iHeadBoneIndex</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00132">132</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<a id="add8173c8a8231803bd4ed2380d44c3b0" name="add8173c8a8231803bd4ed2380d44c3b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add8173c8a8231803bd4ed2380d44c3b0">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> AITargetCallbacksPlayer::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html#l00131">131</a> of file <a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ManBase/PlayerBase/<a class="el" href="../../dc/d0f/_a_i_target_callbacks_player_8c_source.html">AITargetCallbacksPlayer.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/dae/class_a_i_target_callbacks_player.html">AITargetCallbacksPlayer</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
